package org.gcube.application.cms.plugins.model;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.xml.bind.annotation.XmlRootElement;
import java.util.List;

@XmlRootElement
@AllArgsConstructor
@Getter
@Setter
@ToString(callSuper = true)
public class StepAccess {

    public static final String STEP="STEP";
    public static final String ROLES="roles";


    @JsonProperty(STEP)
    private String stepId;

    @JsonProperty(ROLES)
    private List<String> roles;
}
